<?
include_once "SYSTEM/include/functions.php";
include_once "SYSTEM/include/mysql.php";
include_once "SYSTEM/include/param.php";
include_once "SYSTEM/include/ban.php";
include_once "SYSTEM/include/sess.php";
include_once "SYSTEM/include/ban_2.php";
include_once "SYSTEM/include/theme.php";
$title='Авторизация';
$mesto='Авторизация';
head();
if (isset($user))
{
echo "<div class=\"h\">Авторизация</div>\n";
echo "<span style=\"color:$color[msg]\"><b>";
echo "Вы уже авторизованы\n";
echo "</b></span><br />";
echo "<hr /><a href=\"index.php\">На главную</a><br />\n";

foot();
}

if (isset($_POST['log']) && isset($_POST['pass']) || isset($_GET['id']) && isset($_GET['pass']))
{
$id='';
$log='';
if (isset($_POST['log'])){$log = trim(htmlspecialchars(mysql_escape_string($_POST['log'])));}
if (isset($_GET['id'])){$id = intval($_GET['id']);}
$q=mysql_query("SELECT * FROM `$mysql[pref]users` WHERE `nickname` = '$log' OR `id` = '$id';");
if(mysql_num_rows($q) == 0){header("Location: vhod.php?err=log");exit;}

$user2=mysql_fetch_array($q);

if (isset($_POST['pass'])){$pass = trim(htmlspecialchars(mysql_escape_string($_POST['pass'])));}
if (isset($_GET['pass'])){$pass = trim(htmlspecialchars(mysql_escape_string($_GET['pass'])));}
if ($user2['password']!=md5($pass)){header("Location: vhod.php?err=pass");exit;}
if (isset($_POST['save']) && $_POST['save']==1)
{
setcookie('nickname', $log, time()+3600*24*365);
setcookie('password', $pass, time()+3600*24*365);
}
$q = mysql_query("SELECT COUNT(id) FROM `$mysql[pref]forum_t` WHERE `time_last` >= '".$user2['time']."';");
$new_t_f = mysql_result($q, 0);


echo "<center><small>Привет, $user2[nickname]<br />\n";
echo "Сегодня ";
echo date('d.m.y, H:i',(time()));
if ($user2['time']>$time-$set['time_sess'] && $user2['sess']!='')
{
echo "<span style=\"color:$color[msg]\"><b>";
echo "<br />Предыдущая сессия удалена";
echo "</b></span><br />";
}
//echo "<div class=\"title\">\n";
$timesdvig=$user2['t_sdvig']*3600-17*3600;
$pol = intval ( $_POST [ 'pol' ]); 
if ( $pol != 0  &&  $pol != 1 ){ $pol = 1 ;} 
if ($ank['pol']==0){echo "Последнее посещение сайта было <br />\n";}

else if ($ank['pol']>=1){echo "Последнее посещение сайта было <br />\n";}

$last_time=vremja($user2['time']+$timesdvig);
echo "$last_time<br />\n";
echo "с IP: $user2[ip]<br />\n";
echo "и браузера $user2[ua]<br />\n";
if ($new_t_f>0)echo "<b><a href=\"forum/time.php?t=".$user2['time']."\">Новые сообщения в $new_t_f темах на форуме</a></b><br /><br />\n";
else if ($new_t_f==0){echo "Новых сообщений на форуме нет<br />\n";
}

$q = mysql_query("SELECT COUNT(*) FROM `$mysql[pref]mail` WHERE `id_in_user` = '$user2[id]' AND `read` = '0';");
$mail_in_new = mysql_result($q, 0);
if ($mail_in_new>0)
{
echo "<a href=\"mail.php?act=in\">Новых писем</a> [$mail_in_new]<br />\n";
}
echo "<br /><b>Сделай закладку</b><br /><input name=\"log\" class=\"form\" value=\"http://".$_SERVER['HTTP_HOST']."/vhod.php?id=$user2[id]&amp;pass=$pass\" type=\"text\" /><br />";
echo "Рекомендуем посетить<br /><a href=\"forum/new.php\">ФОРУМ</a><br />";
echo "<a href=\"foto/\">Фото альбомы</a><br />";
echo "<a href=\"loads/\">ЗАГРУЗКИ</a> ";

echo "<br />Удачного прибывания на <b>yastreba.NEt</b><br />";

echo "<a href=\"index.php\">На главную</a>\n";
echo "</small></center>\n";
mysql_query("UPDATE `$mysql[pref]users` SET `ua` = '$ua', `ip` = '$ip', `ip_1` = '$ip_1', `ip_2` = '$ip_2', `ip_op` = '$ip_op', `time` = '".time()."', `sess` = '$sess', `auttime` = '".time()."' WHERE `id` = '".$user2['id']."';");
foot();
}
echo "<div class=\"h\">Авторизация</div>\n";
if (isset($_GET['err']))
{
$err=$_GET['err'];
echo "<span style=\"color:$color[msg]\"><b>";

if ($err=='log'){echo "Юзер не зарегестрирован";}
if ($err=='pass'){echo "Неверный пароль";}

if ($err=='log'){echo "Юзер не зарегестрирован";}
if ($err=='pass'){echo "Неверный пароль";}

//if ($err=='not_logged'){echo "Вы запросили файл, доступный только авторизированным пользователям. Войдите на сайт под своим ником или зарегистрируйтесь, это не отнимет у вас много времени ;)";}
if ($err=='access'){echo "Форум и чат доступны только зарегистрированным пользователям";}


echo "</b></span><br />";

}

echo "<form method=\"post\" action=\"vhod.php\">\n";
echo "Логин:<br /><input name=\"log\" class=\"form\" value=\"\" type=\"text\" /><br />\n";
echo "Пароль: <a href=\"pass.php\">[забыл]</a><br /><input name=\"pass\" class=\"form\" value=\"\" type=\"password\" /><br />\n";
echo "<input type=\"checkbox\" class=\"form\" name=\"save\" value=\"1\" /> Запомнить меня<br />\n";
echo "<input value=\"Войти\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";

echo "<form action=\"reg.php\">\n";
echo "<input value=\"Регистрация\" class=\"form\" type=\"submit\" />\n";
echo "</form>\n";
echo "<hr />";
echo "<a href=\"index.php\">На главную</a><br />\n";
foot();
?>